borg-key-add(1)

Name
borg-key-add - Add a new borg key (protected by an independent passphrase) to the repository.

SYNOPSIS

borg [common options] key add [options]

DESCRIPTION

A repository can be protected by more than one borg key. Each borg key contains the same secret key material, but is protected by an independent (potentially different) passphrase, and any of them can be used to unlock the same repository. This is useful e.g. to give individual users their own passphrase while keeping a separate admin/recovery passphrase.

This command adds an additional borg key. It does not re-encrypt any repository data and does not change the existing borg keys. The new passphrase is read from BORG_NEW_PASSPHRASE or queried interactively.

Each borg key has a label. The first borg key, created at repository creation time, has the reserved label admin and is protected from deletion. Additionally added borg keys require a unique, user-defined --label.

OPTIONS

See borg-common(1) for common options of Borg commands.

  options

    --label LABEL
        label for the new borg key (must be unique)

SEE ALSO

borg-common(1)

Author
The Borg Collective